Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.document
Class DocumentPermission

    java.lang.Object
      com.plumtree.remote.prc.collaboration.document.DocumentPermission

public class DocumentPermission
extends java.lang.Object

An enumerated type used to describe the permissions for Documents. This is used in `IDocument.isActionAllowed` method.

Field Summary
`static DocumentPermission` | `ATTACH_LINKS` Ability to attach links to a document.
`static DocumentPermission` | `CHECK_OUT` Ability to check out a document.
`static DocumentPermission` | `COPY` Ability to copy a document.
`static DocumentPermission` | `DELETE` Ability to delete a document.
`static DocumentPermission` | `EDIT` Ability to change a document's properties.
`static DocumentPermission` | `EDIT_SECURITY` Ability to change a document's security.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTACH_LINKS

    public static final DocumentPermission ATTACH_LINKS

  Ability to attach links to a document.

### CHECK_OUT

    public static final DocumentPermission CHECK_OUT

  Ability to check out a document.

### COPY

    public static final DocumentPermission COPY

  Ability to copy a document.

### DELETE

    public static final DocumentPermission DELETE

  Ability to delete a document.

### EDIT

    public static final DocumentPermission EDIT

  Ability to change a document's properties.

### EDIT_SECURITY

    public static final DocumentPermission EDIT_SECURITY

  Ability to change a document's security.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.